<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author 		pedro.garcia
@version		2.0
@description	Consultar ofertas inmobiliarias CU-SA-AC-041
                página principal
@cu 			CU-AV-O-02 
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:ofertasInmob="http://java.sun.com/jsf/composite/ofertasInmob"
                xmlns:fn="http://java.sun.com/jsp/jstl/functions"
                template="../../templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Consulta de ofertas inmobiliarias::.
    </ui:define>

    <ui:define name="content">
        <h:outputScript library="javascript" name="snc_visor_client.js"
                        target="head" />
        <h:outputStylesheet library="css" name="snc_visor_client.css" />
        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();"
                      onerror="statusDialog.hide();alert('Error AJAX en la aplicación');" />

        <p:spacer height="10" width="0" />

        <h:form>

            <h:inputText id="itUsedForGettingFocus" size="1" maxlength="1"
                         style="width: 1px;height: 1px;border: 0px;" />
            <p:messages id="msgConsOferta" showDetail="false" globalOnly="false" />
            <p:focus for="itUsedForGettingFocus" id="focusForMessages" transient="true"/>

            <p:fieldset>
                <legend>
                    <h:outputLabel value="Datos de búsqueda básica"
                                   styleClass="legendTitle" />
                </legend>
                <h:panelGrid columns="1" width="100%">

                    <h:panelGrid columns="1">
                        <h:panelGrid columns="2">
                            <h:panelGroup>
                                <h:outputLabel value="Código oferta: "
                                               styleClass="outputLabelStyle" />
                                <h:inputText size="30"
                                             value="#{consultaOfertasInmob.datosConsulta.codigoOferta}"
                                             maxlength="27" />
                            </h:panelGroup>
                            <misc:seleccionDepartamentoYMunicipioCC valuesAreRequired="false"
                                                                    vertical="false" />

                        </h:panelGrid>

                        <p:separator />
                        <h:panelGrid columns="6" width="100%">

                            <h:outputLabel value="Fecha de la oferta"
                                           styleClass="outputLabelStyle" />
                            <p:spacer width="10" />
                            <h:outputLabel value="Desde: " styleClass="outputLabelStyle" />
                            <p:calendar id="fechaOfertaDesdeCO"
                                        value="#{consultaOfertasInmob.datosConsulta.fechaOfertaDesde}"
                                        navigator="true" showOn="both" pattern="#{general.formatoFecha}"
                                        title="#{general.formatoFechaUsuario}" effect="slideDown"
                                        size="12" maxdate="#{general.fechaActual}" />

                            <h:outputLabel value="Hasta: " styleClass="outputLabelStyle" />
                            <p:calendar id="fechaOfertaHastaCO"
                                        value="#{consultaOfertasInmob.datosConsulta.fechaOfertaHasta}"
                                        navigator="true" showOn="both" pattern="#{general.formatoFecha}"
                                        title="#{general.formatoFechaUsuario}" effect="slideDown"
                                        size="12" maxdate="#{general.fechaActual}" />



                            <h:outputLabel value="Fecha ingreso de la oferta"
                                           styleClass="outputLabelStyle" />
                            <p:spacer width="10" />
                            <h:outputLabel value="Desde: " styleClass="outputLabelStyle" />
                            <p:calendar id="fechaInOfertaDesdeCO"
                                        value="#{consultaOfertasInmob.datosConsulta.fechaIngresoOfertaDesde}"
                                        navigator="true" showOn="both" pattern="#{general.formatoFecha}"
                                        title="#{general.formatoFechaUsuario}" effect="slideDown"
                                        size="12" maxdate="#{general.fechaActual}" />

                            <h:outputLabel value="Hasta: " styleClass="outputLabelStyle" />
                            <p:calendar id="fechaInOfertaHastaCO"
                                        value="#{consultaOfertasInmob.datosConsulta.fechaIngresoOfertaHasta}"
                                        navigator="true" showOn="both" pattern="#{general.formatoFecha}"
                                        title="#{general.formatoFechaUsuario}" effect="slideDown"
                                        size="12" maxdate="#{general.fechaActual}" />

                        </h:panelGrid>
                    </h:panelGrid>

                    <h:panelGrid columns="6" width="100%">

                        <h:outputLabel value="Tipo de predio: "
                                       styleClass="outputLabelStyle" />
                        <h:selectOneMenu id="tipoPredioCO" label="Tipo de predio"
                                         value="#{consultaOfertasInmob.datosConsulta.tipoPredio}">
                            <f:selectItems
                                value="#{consultaOfertasInmob.ofertaTipoPredioItemList}" />
                        </h:selectOneMenu>

                        <h:outputLabel value="Tipo de inmueble: "
                                       styleClass="outputLabelStyle" />
                        <h:selectOneMenu id="tipoInmuebleCO" label="Tipo de inmueble"
                                         value="#{consultaOfertasInmob.datosConsulta.tipoInmueble}">
                            <f:selectItems
                                value="#{consultaOfertasInmob.ofertaTipoInmuebleItemList}" />
                        </h:selectOneMenu>

                        <h:outputLabel value="Destino: " styleClass="outputLabelStyle" />
                        <h:selectOneMenu id="destinoOfertaCO" label="Destino del predio"
                                         value="#{consultaOfertasInmob.datosConsulta.destino}">
                            <f:selectItems
                                value="#{consultaOfertasInmob.ofertaDestinoItemList}" />
                        </h:selectOneMenu>

                        <h:outputLabel value="Sector: " styleClass="outputLabelStyle" />
                        <h:inputText id="sectorOfertaCO"
                                     value="#{consultaOfertasInmob.datosConsulta.sector}"
                                     maxlength="100" />

                        <h:outputLabel value="Manzana / Vereda: "
                                       styleClass="outputLabelStyle" />
                        <h:inputText id="manzanaOfertaCO"
                                     value="#{consultaOfertasInmob.datosConsulta.manzanaVereda}"
                                     maxlength="100" />

                        <h:outputLabel value="Barrio: " styleClass="outputLabelStyle" />
                        <h:inputText id="barrioOfertaCO"
                                     value="#{consultaOfertasInmob.datosConsulta.barrio}"
                                     maxlength="100" />

                        <h:outputLabel value="Tipo de investigación: "
                                       styleClass="outputLabelStyle" />
                        <h:selectOneMenu id="tipoInvestigacionCO"
                                         value="#{consultaOfertasInmob.datosConsulta.tipoInvestigacion}">
                            <f:selectItems
                                value="#{consultaOfertasInmob.ofertaTipoInvestigacionItemList}" />
                        </h:selectOneMenu>

                        <h:outputLabel value="Tipo de investigación ingreso de oferta: "
                                       styleClass="outputLabelStyle" />
                        <h:selectOneMenu id="tipoInvestigacionIngresoCO"
                                         value="#{consultaOfertasInmob.datosConsulta.investigacionIngreso}">
                            <f:selectItems
                                value="#{consultaOfertasInmob.ofertaTipoInvestigacionIngresoItemList}" />
                        </h:selectOneMenu>

                        <h:outputLabel value="Condición jurídica: "
                                       styleClass="outputLabelStyle" />
                        <h:selectOneMenu id="condJuridicaCO"
                                         value="#{consultaOfertasInmob.datosConsulta.condicionJuridica}">
                            <f:selectItems
                                value="#{consultaOfertasInmob.ofertaCondicionJuridicaItemList}" />
                        </h:selectOneMenu>

                    </h:panelGrid>

                </h:panelGrid>

                <p:outputPanel layout="block" style="text-align: center"
                               id="panelBotonesBasicaCO">

                    <h:panelGrid columns="3" cellspacing="7">
                        <p:commandButton value="Buscar" icon="ui-icon-search"
                                         rendered="#{!consultaOfertasInmob.mostrarPanelBusquedaAvanzada}"
                                         action="#{consultaOfertasInmob.buscarOfertas}"
                                         update="focusForMessages, msgConsOferta, :resultsForm:resultsOfertasDT"
                                         onstart="statusDialog2.show();"
                                         oncomplete="statusDialog2.hide();" />

                        <p:spacer width="25" height="0" />

                        <p:commandLink value="Usar búsqueda avanzada"
                                       styleClass="commandLinkStyle"
                                       update="focusForMessages, msgConsOferta, busquedaAvanzadaPanelCO, panelBotonesBasicaCO, panelBotonesAvanzadaCO"
                                       immediate="true" onstart="statusDialog2.show();"
                                       oncomplete="statusDialog2.hide();"
                                       rendered="#{!consultaOfertasInmob.mostrarPanelBusquedaAvanzada}">
                            <f:setPropertyActionListener value="true"
                                                         target="#{consultaOfertasInmob.mostrarPanelBusquedaAvanzada}" />
                        </p:commandLink>
                    </h:panelGrid>

                    <p:separator
                        rendered="#{consultaOfertasInmob.mostrarPanelBusquedaAvanzada}" />
                </p:outputPanel>

                <p:panel id="busquedaAvanzadaPanelCO" style="border:0px;">

                    <h:panelGrid columns="10" width="100%"
                                 rendered="#{consultaOfertasInmob.mostrarPanelBusquedaAvanzada}">

                        <h:outputLabel value="Estrato: " styleClass="outputLabelStyle" />
                        <h:selectOneMenu id="estratoCO" label="Estrato"
                                         value="#{consultaOfertasInmob.datosConsulta.estrato}">
                            <f:selectItems
                                value="#{consultaOfertasInmob.ofertaEstratoItemList}" />
                        </h:selectOneMenu>

                        <h:outputLabel value="Vetustez: " styleClass="outputLabelStyle" />
                        <h:selectOneMenu id="vetustezCO" label="Vetustez"
                                         value="#{consultaOfertasInmob.datosConsulta.vetustez}">
                            <f:selectItems
                                value="#{consultaOfertasInmob.ofertaVetustezItemList}" />
                        </h:selectOneMenu>

                        <h:outputLabel value="Precio" styleClass="outputLabelStyle" />
                        <p:spacer width="20" height="0" />

                        <h:outputLabel value="Desde: " styleClass="outputLabelStyle" />
                        <h:inputText id="precioDesdeCO"
                                     value="#{consultaOfertasInmob.datosConsulta.precioOfertaDesde}"
                                     maxlength="11" label="Precio desde">
                            <f:validateDoubleRange />
                        </h:inputText>

                        <h:outputLabel value="Hasta: " styleClass="outputLabelStyle" />
                        <h:inputText id="precioHastaCO"
                                     value="#{consultaOfertasInmob.datosConsulta.precioOfertaHasta}"
                                     maxlength="11" label="Precio hasta">
                            <f:validateDoubleRange />
                        </h:inputText>

                        <h:outputLabel value="Número de habitaciones: "
                                       styleClass="outputLabelStyle" />
                        <h:inputText id="numHabitacionesCO"
                                     value="#{consultaOfertasInmob.datosConsulta.numeroHabitaciones}"
                                     maxlength="3" label="Número de habitaciones">
                            <f:validateLongRange minimum="0" maximum="999" />
                        </h:inputText>

                        <h:outputLabel value="Barrio: " styleClass="outputLabelStyle" />
                        <h:inputText id="numBaniosCO"
                                     value="#{consultaOfertasInmob.datosConsulta.numeroBanios}"
                                     maxlength="2" />

                        <h:outputLabel value="Área construida"
                                       styleClass="outputLabelStyle" />
                        <p:spacer width="20" height="0" />

                        <h:outputLabel value="Desde: " styleClass="outputLabelStyle" />
                        <h:inputText id="areaConstrDesdeCO"
                                     value="#{consultaOfertasInmob.datosConsulta.areaOfertaConstruidaDesde}"
                                     maxlength="7" label="Área construida desde">
                            <f:validateDoubleRange />
                        </h:inputText>

                        <h:outputLabel value="Hasta: " styleClass="outputLabelStyle" />
                        <h:inputText id="areaConstrHastaCO"
                                     value="#{consultaOfertasInmob.datosConsulta.areaOfertaConstruidaHasta}"
                                     maxlength="7" label="Área construida desde">
                            <f:validateDoubleRange />
                        </h:inputText>

                        <p:spacer />
                        <p:spacer />
                        <p:spacer />
                        <p:spacer />

                        <h:outputLabel value="Área terreno (m2)"
                                       styleClass="outputLabelStyle" />
                        <p:spacer width="20" height="0" />

                        <h:outputLabel value="Desde: " styleClass="outputLabelStyle" />
                        <h:inputText id="areaTerrenoDesdeCO"
                                     value="#{consultaOfertasInmob.datosConsulta.areaOfertaTerrenoDesde}"
                                     maxlength="7" label="Área terreno (m2) desde">
                            <f:validateDoubleRange />
                        </h:inputText>

                        <h:outputLabel value="Hasta: " styleClass="outputLabelStyle" />
                        <h:inputText id="areaTerrenoHastaCO"
                                     value="#{consultaOfertasInmob.datosConsulta.areaOfertaTerrenoHasta}"
                                     maxlength="7" label="Área terreno (m2) desde">
                            <f:validateDoubleRange />
                        </h:inputText>

                    </h:panelGrid>
                </p:panel>

                <p:outputPanel layout="block" style="text-align: left"
                               id="panelBotonesAvanzadaCO">

                    <h:panelGrid columns="3" cellspacing="7"
                                 rendered="#{consultaOfertasInmob.mostrarPanelBusquedaAvanzada}">

                        <p:commandButton value="Buscar" icon="ui-icon-search"
                                         rendered="#{consultaOfertasInmob.mostrarPanelBusquedaAvanzada}"
                                         action="#{consultaOfertasInmob.buscarOfertas}"
                                         onstart="statusDialog2.show();"
                                         oncomplete="statusDialog2.hide();"
                                         update="focusForMessages, msgConsOferta, :resultsForm:resultsOfertasDT" />

                        <p:spacer width="7" height="0" />
                        <p:commandLink value="Usar búsqueda básica"
                                       styleClass="commandLinkStyle"
                                       update="focusForMessages, msgConsOferta, busquedaAvanzadaPanelCO, panelBotonesBasicaCO, panelBotonesAvanzadaCO"
                                       immediate="true" onstart="statusDialog2.show();"
                                       oncomplete="statusDialog2.hide();"
                                       rendered="#{consultaOfertasInmob.mostrarPanelBusquedaAvanzada}">
                            <f:setPropertyActionListener value="false"
                                                         target="#{consultaOfertasInmob.mostrarPanelBusquedaAvanzada}" />
                        </p:commandLink>

                    </h:panelGrid>
                </p:outputPanel>
            </p:fieldset>

        </h:form>


        <h:form id="resultsForm">
            <p:panel header="Resultados de la búsqueda" toggleable="true"
                     id="resultsPanel">

                <p:outputPanel layout="block" style="text-align: left">
                    <h:graphicImage id="helpImg" url="/images/question_blue.png" />
                    <p:tooltip for="helpImg" showEffect="puff"
                               styleClass="noteTextStyle" style="text-align: center">
                        Tabla de resultados de la búsqueda. <br /> Para seleccionar una oferta haga click sobre la oferta de la lista y
                        para deseleccionar o seleccionar una adicional presione la tecla ctrl y haga
                        click en la oferta. Para seleccionar un grupo de ofertas use la tecla Shift.
                    </p:tooltip>
                </p:outputPanel>

                <p:spacer height="15" width="0" />

                <p:dataTable id="resultsOfertasDT" widgetVar="resultsOfertasDTWV"
                             value="#{consultaOfertasInmob.resultadosBusquedaLazyModel}"
                             var="varOferta" rowKey="#{varOferta.id}" paginator="true" rows="5"
                             paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                             rowsPerPageTemplate="5,10,15" paginatorPosition="bottom"
                             selection="#{consultaOfertasInmob.selectedOfertas}"
                             emptyMessage="No hay resultados para esta búsqueda"
                             style="overflow: auto;">

                    <p:column selectionMode="multiple" style="width:18px" />

                    <p:column headerText="Opciones">
                        <p:commandButton title="Ver detalle"
                                         onstart="statusDialog2.show();"
                                         oncomplete="statusDialog2.hide();detalleOfertaWV.show();"
                                         update=":detallesOfertaPanel" ajax="true" icon="ui-icon-search"
                                         process="@this">
                            <f:setPropertyActionListener value="#{varOferta}"
                                                         target="#{detalleOfertaInmob.currentOferta}" />
                        </p:commandButton>

                        <p:commandButton id="verMapaZoom" widgetVar="verMapaVarZoom"
                                         title="Zoom a la oferta" immediate="true"
                                         icon="ui-icon ui-icon-zoomin"
                                         onclick="cargarMapaZoomToFeature('#{consultaOfertasInmob.applicationClientName}',
                                                         '#{consultaOfertasInmob.tokenParam}',
                                                         '#{consultaOfertasInmob.moduleLayer}',
                                                         '#{consultaOfertasInmob.moduleTools}',
                                                         '#{varOferta.cadenaDeManzanasVeredas}');"
                                         disabled="#{empty varOferta.cadenaDeManzanasVeredas}" />

                        <p:commandButton title="Modificar" icon="ui-icon-pencil"
                                         ajax="false" update=":registroOfertaInmobiliariaFormId"
                                         disabled="#{varOferta.esProyecto || 
                                                     (varOferta.responsableInformacion ne consultaOfertasInmob.nombreUsuario)}"
                                         onstart="statusDialog2.show();"
                                         oncomplete="statusDialog2.hide();"
                                         action="#{consultaOfertasInmob.buscarOIYEnviarAModificar}"
                                         rendered="#{!consultaOfertasInmob.banderaEsConsultaRestringida}">
                            <f:setPropertyActionListener value="#{varOferta}"
                                                         target="#{registroOfertaInmob.selectedOfertaInmobiliaria}" />
                            <f:setPropertyActionListener value="true"
                                                         target="#{registroOfertaInmob.banderaEsEdicion}" />
                        </p:commandButton>
                    </p:column>

                    <p:column headerText="Departamento">
                        <h:outputText value="#{varOferta.departamento.nombre}" />
                    </p:column>

                    <p:column headerText="Municipio">
                        <h:outputText value="#{varOferta.municipio.nombre}" />
                    </p:column>

                    <p:column
                        headerText="Tipo predio &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"
                        sortBy="#{varOferta.tipoPredio}">
                        <f:facet name="header">

                        </f:facet>
                        <h:outputText value="#{varOferta.tipoPredio}" />
                    </p:column>

                    <p:column headerText="Vereda">
                        <h:outputText value="#{varOferta.nombreVereda}" />
                    </p:column>

                    <p:column sortBy="#{varOferta.tipoInmueble}">
                        <f:facet name="header">
                            Tipo <br /> inmueble
                        </f:facet>
                        <h:outputText value="#{varOferta.tipoInmueble}" />
                    </p:column>

                    <p:column>
                        <f:facet name="header">
                            Proyecto <br /> inmobiliario
                        </f:facet>
                        <h:outputText value="#{varOferta.esProyecto ? 'SÍ' : 'NO'}" />
                    </p:column>

                    <p:column sortBy="#{varOferta.condicionJuridica}">
                        <f:facet name="header">
                            Condición &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<br /> jurídica
                        </f:facet>
                        <h:outputText value="#{varOferta.condicionJuridica}" />
                    </p:column>

                    <p:column headerText="Tipo finca">
                        <h:outputText value="#{varOferta.tipoFinca}" />
                    </p:column>

                    <p:column headerText="Dirección">
                        <h:outputText value="#{varOferta.direccion}" />
                    </p:column>

                    <p:column headerText="Número predial">
                        <p:dataList value="#{varOferta.ofertaPredios}" var="predio"
                                    rendered="#{not empty varOferta.ofertaPredios}"
                                    style="background: none;border: none;">
                            #{predio.numeroPredial}
                        </p:dataList>
                    </p:column>

                    <p:column headerText="Valor pedido &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"
                              sortBy="#{varOferta.valorPedido}">
                        <h:outputText value="#{varOferta.valorPedido}">
                            <f:converter converterId="converterMoneda" />
                        </h:outputText>
                    </p:column>

                    <p:column sortBy="#{varOferta.porcentajeNegociacion}">
                        <f:facet name="header">
                            Porcentaje ;&nbsp;&nbsp;&nbsp;&nbsp;<br /> negociación
                        </f:facet>
                        <h:outputText value="#{varOferta.porcentajeNegociacion} %" />
                    </p:column>

                    <p:column>
                        <f:facet name="header">
                            Forma <br /> negociación
                        </f:facet>
                        <h:outputText value="#{varOferta.formaNegociacion}" />
                    </p:column>

                    <p:column sortBy="#{varOferta.valorDepurado}">
                        <f:facet name="header">
                            Valor ;&nbsp;&nbsp;&nbsp;<br /> depurado
                        </f:facet>
                        <h:outputText value="#{varOferta.valorDepurado}">
                            <f:converter converterId="converterMoneda" />
                        </h:outputText>
                    </p:column>

                    <p:column sortBy="#{varOferta.valorArriendo}">
                        <f:facet name="header">
                            Valor ;&nbsp;&nbsp;&nbsp;<br /> arriendo
                        </f:facet>
                        <h:outputText value="#{varOferta.valorArriendo}">
                            <f:converter converterId="converterMoneda" />
                        </h:outputText>
                    </p:column>

                    <ui:remove> OJO: estas columas quedan para ser implemantadas y mostradas en una nueva versión.
                        Por ahora deben salir en el reporte
                        <p:column>
                            <f:facet name="header">
                                Índice de <br /> actualización
                            </f:facet>
                            <h:outputText value="fixme" />
                        </p:column>

                        <p:column>
                            <f:facet name="header">
                                Valor <br /> actualizado
                            </f:facet>
                            <h:outputText value="fixme" />
                        </p:column>

                        <p:column>
                            <f:facet name="header">
                                Tasa de <br /> capitalización
                            </f:facet>
                            <h:outputText value="fixme" />
                        </p:column>

                        <p:column>
                            <f:facet name="header">
                                Valor <br /> calculado
                            </f:facet>
                            <h:outputText value="fixme" />
                        </p:column>
                    </ui:remove>

                    <p:column sortBy="#{varOferta.areaTerreno}">
                        <f:facet name="header">
                            Área <br /> terreno (m2)
                        </f:facet>
                        <h:outputText value="#{varOferta.areaTerreno}" />
                    </p:column>

                    <p:column headerText="Unidad área">
                        <h:outputText value="#{varOferta.unidadArea}" />
                    </p:column>

                    <p:column>
                        <f:facet name="header">
                            Área construcción / <br /> Área privada (m2)
                        </f:facet>
                        <h:outputText value="#{varOferta.areaConstruccion}" />
                    </p:column>

                    <p:column>
                        <f:facet name="header">
                            No. <br /> Parqueaderos
                        </f:facet>
                        <h:outputText value="#{varOferta.numeroParqueaderos}" />
                    </p:column>

                    <p:column>
                        <f:facet name="header">
                            No. <br /> Depósitos
                        </f:facet>
                        <h:outputText value="#{varOferta.numeroDepositos}" />
                    </p:column>

                    <p:column>
                        <f:facet name="header">
                            Descripción <br /> de construcciones
                        </f:facet>
                        <h:outputText value="#{varOferta.descripcionConstrucciones}" />
                    </p:column>

                    <p:column>
                        <f:facet name="header">
                            Descripción <br /> de anexos
                        </f:facet>
                        <h:outputText value="#{varOferta.descripcionAnexos}" />
                    </p:column>

                    <p:column>
                        <f:facet name="header">
                            Tipo <br /> investigación
                        </f:facet>
                        <h:outputText value="#{varOferta.tipoInvestigacion}" />
                    </p:column>

                    <p:column headerText="Fotos">
                        <h:outputText value="#{fn:length(varOferta.fotografias)}" />
                    </p:column>

                    <p:column headerText="Observaciones">
                        <h:outputText value="#{varOferta.observaciones}" />
                    </p:column>

                    <p:column headerText="Fecha oferta ;&nbsp;&nbsp;&nbsp;&nbsp;"
                              sortBy="#{varOferta.fechaOferta}">
                        <h:outputText value="#{varOferta.fechaOferta}">
                            <f:convertDateTime pattern="#{general.formatoFechaUsuario2}" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Nombre fuente">
                        <h:outputText value="#{varOferta.nombreFuente}" />
                    </p:column>

                    <p:column headerText="Teléfono fuente">
                        <h:outputText value="#{varOferta.telefonoFuente}" />
                    </p:column>

                    <p:column headerText="Código oferta">
                        <h:outputText value="#{varOferta.codigoOferta}" />
                    </p:column>

                </p:dataTable>


                <p:spacer height="30" width="0" />

                <p:commandButton
                    onclick="if (!(resultsOfertasDTWV.selection.length >= 2)) {
                                alert('Debe seleccionar al menos dos ofertas para hacer el cálculo');
                                return false;
                            }"
                    onstart="statusDialog2.show();"
                    oncomplete="statusDialog2.hide();calcularEstadisticasWV.show();"
                    update=":calculaEstadisticaForm:ofertasInmobiliariasSeleccionadas,
                    :calculaEstadisticaForm:variablesDisponibles,
                    :calculaEstadisticaForm:resultadoCalculosEstadisticosPanel"
                    icon="ui-icon-image"
                    action="#{consultaOfertasInmob.cargarOfertasSeleccionadas}"
                    value="Calcular Estadísticas" />

                <p:spacer height="0" width="13" />
                <p:commandButton
                    onclick="if (!(resultsOfertasDTWV.selection.length >= 1)) {
                                alert('Debe seleccionar al menos una oferta para generar el reporte');
                                return false;
                            }"
                    ajax="false" icon="ui-icon-calculator"
                    value="Exportar ofertas seleccionadas">
                    <p:fileDownload
                        value="#{consultaOfertasInmob.reporteExportarOfertasSeleccionadas}" />
                </p:commandButton>

                <p:spacer height="0" width="13" />
                <p:commandButton icon="ui-icon-calculator"
                                 value="Exportar todas las ofertas" ajax="false"
                                 rendered="#{!consultaOfertasInmob.banderaEsConsultaRestringida}">
                    <p:fileDownload
                        value="#{consultaOfertasInmob.reporteExportarTodasOfertas}" />
                </p:commandButton>


                <p:spacer height="17" width="0" />
            </p:panel>

            <p:separator style="width:925px;height:3px" />
            <p:spacer height="7" width="0" />
            <p:outputPanel layout="block" style="text-align:right">
                <p:commandButton value="Cerrar"
                                 action="#{consultaOfertasInmob.cerrar}" immediate="true"
                                 icon="ui-icon-circle-close" ajax="false" />
                <p:spacer height="0" width="30" />
            </p:outputPanel>
            <p:spacer height="20" width="0" />

        </h:form>
        <p:dialog header="Detalles de la oferta inmobiliaria" dynamic="true"
                  widgetVar="detalleOfertaWV" modal="true" appendToBody="true"
                  resizable="true" position="center" height="520" width="900">
            <ui:include src="detallesOferta.xhtml">
                <ui:param name="ofertaInmobiliariaParam"
                          value="#{detalleOfertaInmob.currentOferta}" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Fotografías de la oferta inmobiliaria"
                  dynamic="true" widgetVar="fotosOfertaWV" modal="true"
                  appendToBody="true" resizable="true" position="center" height="550"
                  width="900">
            <ui:include src="galeriaFotografiasComponent.xhtml">
                <ui:param name="managedBeanParam" value="#{detalleOfertaInmob}" />
                <ui:param name="selectedFotografiaListParam"
                          value="#{detalleOfertaInmob.currentOferta.fotografias}" />
                <ui:param name="banderaCargaParam" value="false" />
                <ui:param name="compositeWVParam" value="fotosOfertaWV" />
                <ui:param name="cIdParam" value="fotosG" />
            </ui:include>
            <p:ajax event="close"
                    listener="#{registroOfertaInmob.cerrarComponenteFotografico}" />
        </p:dialog>


        <p:dialog header="Cálculo de estadísticas"
                  widgetVar="calcularEstadisticasWV" modal="true" appendToBody="true"
                  resizable="true" position="center" height="600" width="800">
            <ui:include src="calculaEstadisticas.xhtml" />

        </p:dialog>

        <ui:include src="../../util/visorGeografico.xhtml" />

    </ui:define>
</ui:composition>